device_type: imx8mq-evk
job_name: 3 - Flash of bootloader on SD card using uuu - u-boot only (health-check)
timeouts:
  job:
    minutes: 5
  action:
    minutes: 5
  connection:
    minutes: 2
priority: low
visibility: public

actions:
- deploy:
    to: uuu
    images:
      boot:
        url: https://images.validation.linaro.org/imx8mq-evk/imx-boot-imx8mqevk-sd.bin-flash_evk
- boot:
    method: uuu
    commands:
      - uuu: -b sd {boot}
    timeout:
      minutes: 2
- boot:
    method: bootloader
    bootloader: u-boot
    commands: []
    prompts: ['=>']
    timeout:
      minutes: 2
- test:
    interactive:
    - name: check-uboot
      prompts: ["=> ", "/ # "]
      script:
      - command: "printenv"
        name: printenv
        successes:
        - message: "soc_type=imx8mq"
    timeout:
      minutes: 2
